AOWP_PHPStatementContainerElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.util.AOWP_PHPStatementContainerElement
/parser/ast/util/PHPStatementContainerElement.class.php at line 12

# Class AOWP_PHPStatementContainerElement

    AOWP_PHPElement
        └─AOWP_PHPStatementContainerElement

All Implemented Interfaces:
  AOWP_IPHPContainerElement

public class AOWP_PHPStatementContainerElement
extends AOWP_PHPElement

Author:
  keiji

Field Summary
mixed | $statements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Method Summary
void | insertElement(mixed element, mixed indexOrElement)
void | insertElementArray(mixed elementArray, mixed indexOrElement)
void | removeElement(mixed removedElement)
void | replaceElement(mixed element, mixed replacedElement)
void | searchElementIndex(mixed element)
void | setElement(mixed element, mixed index)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/util/PHPStatementContainerElement.class.php at line 14

### statements

`public mixed $statements`

## Method Detail

/parser/ast/util/PHPStatementContainerElement.class.php at line 38

### insertElement

`public void insertElement(mixed element, mixed indexOrElement)`

/parser/ast/util/PHPStatementContainerElement.class.php at line 44

### insertElementArray

`public void insertElementArray(mixed elementArray, mixed indexOrElement)`

/parser/ast/util/PHPStatementContainerElement.class.php at line 30

### removeElement

`public void removeElement(mixed removedElement)`

/parser/ast/util/PHPStatementContainerElement.class.php at line 25

### replaceElement

`public void replaceElement(mixed element, mixed replacedElement)`

/parser/ast/util/PHPStatementContainerElement.class.php at line 35

### searchElementIndex

`public void searchElementIndex(mixed element)`

/parser/ast/util/PHPStatementContainerElement.class.php at line 16

### setElement

`public void setElement(mixed element, mixed index)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr